PDA

View Full Version : Upgrading from 8.3


rughis
November 1st, 2013, 08:04 PM
Hello everyone

What I can do to migrate to last Photopost Pro version? (8.42).

I'm using 8.3 version on a vB 4.2.2 board.

Thank you in advance.

Chuck S
November 1st, 2013, 09:01 PM
You would follow the upgrade documentation in the documentations folder of the downloaded code. Basically uploading all the files except the config files and then making sure you add any missing config variables to the config files and run the upgrade. Afterwards you generate new vb plugins for vb.

AlpineZone
November 25th, 2013, 02:32 PM
Same thing, I'm on 8.03.

The instructions were a bit confusing. Do I need to just preserve my current config-inc and config-int or update the new ones? The install says

If you are upgrading from a version before 8.3 release you will need to replace your config-inc.php and config-int.php files with ones you edited with your information or add variables that where added to the config in 8.3 before you continue.

So I think that is telling me I need to update the config-int and config-inc files with my information and upload those as well?

Chuck S
November 25th, 2013, 03:09 PM
You either need to alter new config files with the correct information or add to your existing configs the new variables not found in your current config files.

AlpineZone
November 25th, 2013, 03:16 PM
You either need to alter new config files with the correct information or add to your existing configs the new variables not found in your current config files.

Thanks CHuck.

Question, my old version of config-int and config-int were very old, back to photopost v5.

My old config-int had this:
define(VB3_INTEGRATION, 'on');
define(VB3_ENHANCEDINT, 'on');
define(VB3_COMMWYSIWYG, 'on');

The new config-int has just this:
define("VB3_INTEGRATION", 'on');


Am I safe to ignore the other two or shoudl I copy them over? This might be a holdout from the VB3 days. Also, I noticed the new config-int has "VB3_INTEGRATION" in quotes , and the old one doesn't. Does that matter?

I think I'm OK with everything else on those files.

Finally: the reason I re-registered my support account. My gallery stopped working on 8.03 once I ran the vb4.2.2 upgrade from 4.2.0 PL1. Should a photopost upgrade fix that ?

Chuck S
November 25th, 2013, 03:24 PM
I use vb 4.22 and our product works fine can not speak about some old version but yes our current product should work fine.

As far as your config files as long as you get the important stuff like vb cookie salt thing and mysql type stuff in your main config and the xf and vb50 defines into the other config-int file you should be fine. As long as your configs are 666 permissions you can edit them in admin and look over all the info make sure its right and save them to update them to newer standards.

owen02
January 11th, 2014, 12:06 PM
Thank you very much for useful information.

Chuck S
January 11th, 2014, 02:30 PM
No problem